// #include "catch.hpp"
#include "fakeit.hpp"

struct Socket
{
  virtual ~Socket() = default;
  virtual bool connect() = 0;
};

using namespace fakeit;

Mock<Socket> socket_mock;
When(Method(socket_mock, connect)).Return(false);
// auto &test = socket_mock.get();
//
// TEST_CASE("Testing fakeit", "[fakeit]")
// {
//   SECTION("Trying to connect")
//   {
//     CHECK(test.connect());
//   }
// }

Verify(Method(socket_mock, connect)).AtLeast(2);
